Scilab Function
Last update : 16/06/2004

intsplin - intégration approchée de données expérimentales utilisant une interpolation par une spline.

### Calling Sequence

  `v = intsplin([x,] s)`

### Parameters

- `x` : vecteur des abscisses, classées par ordre croissant. La valeur par défaut est `1:size(y,'*')`
- `s` : vecteur des ordonnées.
- `v` : valeur de l'approximation de l'intégrale

### Description

Calcule une approximation de :

où f est donnée sous forme de valeurs expérimentales :

`s(i)=f(x(i))` et `x0=x(1)`, `x1=x(n)`

Entre les points, f est approchée à l'aide d'une spline.

### Examples

    t=0:0.1:%pi
    intsplin(t,sin(t))

### See Also

`intg`, `intc`, `intl`, `integrate`, `inttrap`, `splin`,